Query Sales Order Files
curl --request GET \
--url https://api.jtl-cloud.com/erp/v2/sales-orders/{salesOrderId}/files \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/sales-orders/{salesOrderId}/files"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/sales-orders/{salesOrderId}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"salesOrderId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"fileId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"fileDataType": "<string>",
"size": 123,
"createdAt": "2023-11-07T05:31:56Z",
"fileName": "<string>"
}
]{
"errorCode": "<string>",
"validationErrors": {},
"errors": {},
"errorMessage": "<string>",
"stacktrace": "<string>"
}Sales Order
Query Sales Order Files
Queries all files for a specific sales order.
GET
/
v2
/
sales-orders
/
{salesOrderId}
/
files
Query Sales Order Files
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Path Parameters
The ID of the sales order that the file belongs to.
Example:
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Response
The requested files.
Unique ID to identify a sales order file.
Example:
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Unique ID to identify a sales order.
Example:
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Unique ID to identify a file.
Example:
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Type of file.
Image size.
Date when the file was created in the system.
name of the file.
Was this page helpful?